cURL
curl --request PUT \
--url https://api.vaultcord.com/members/pull/{serverId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"guildid": "1218273540147646535",
"roleid": "1022118100830802004",
"userId": "720820224877789204",
"limit": 100,
"skipDuplicate": false
}
'import requests
url = "https://api.vaultcord.com/members/pull/{serverId}"
payload = {
"guildid": "1218273540147646535",
"roleid": "1022118100830802004",
"userId": "720820224877789204",
"limit": 100,
"skipDuplicate": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
guildid: '1218273540147646535',
roleid: '1022118100830802004',
userId: '720820224877789204',
limit: 100,
skipDuplicate: false
})
};
fetch('https://api.vaultcord.com/members/pull/{serverId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Pull started, see email for status"
}{
"success": false,
"message": "New login required #2"
}Members
Pull Members
Pull members
PUT
/
members
/
pull
/
{serverId}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the VaultCord server
Body
application/json
Details for Discord you want pulled into
Discord snowflake ID for the guild.
Example:
"1218273540147646535"
(Optional) Discord snowflake ID for the verified role.
Example:
"1022118100830802004"
(Optional) Discord snowflake ID for specific member/user.
Example:
"720820224877789204"
(Optional) Only pull X members
Example:
100
Skip duplicate members already in Discord server. Good if you are selling/trading members.
Example:
false
Was this page helpful?
⌘I